####################################
# TEST THE ENVIRONMENT
####################################
echo "################################"

####################################
# GO TO GYSELAX DIRECTORY
####################################
cd $GYSELA_PATH

####################################
# COMPILING
####################################
echo "COMPILING: it can take several minutes"
./scripts/gysmake 1>01.make.out 2>01.make.err
echo "COMPILING: end"

####################################
# TEST THE COMPILATION
####################################
echo "CHECKING THE COMPILATION:"
if test -f "$GYSELA_PATH/wk/gysela.exe"; then
   echo ">> Compilation: SUCCESSFUL"
else
   echo ">> Compilation: FAILED"
   echo ">> Please look at the $GYSELA_PATH/01.make.out "
   echo ">> and $GYSELA_PATH/01.make.err files"
   exit
fi
echo "################################"
